Bug 114983 - Unable to make any docked toolbar floating (wayland)
Summary: Unable to make any docked toolbar floating (wayland)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.2.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Wayland
  Show dependency treegraph
 
Reported: 2018-01-12 22:10 UTC by Mark Hung
Modified: 2022-07-22 03:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2018-01-12 22:10:21 UTC
Description:
I use ubuntu 17.10.1 and is not able to make any docked toolbar floating by dragging off the vertical handle of the toolbar. It works fine on Windows.

Version: 5.4.2.2
Build ID: 1:5.4.2-0ubuntu0.17.10.1
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group

Not sure if this is a regression.

Steps to Reproduce:
1. Open Writer or Impress.
2. Use mouse to drag any docked toolbar to the central area.

Actual Results:  
A dashed box appears when dragging and disappear when realising mouse button, but the toolbar is still docked.

Expected Results:
The toolbar become a floating toolbar.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Xisco Faulí 2018-01-13 17:50:02 UTC
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 2 Maxim Monastirsky 2018-01-13 18:27:22 UTC
I guess that's under a Wayland session? In which case it was an intentional change, see https://cgit.freedesktop.org/libreoffice/core/commit/?id=a6d324f30bd5cfd09d54614d8df67b7857550429
Comment 3 Mark Hung 2018-01-14 13:05:06 UTC
(In reply to Xisco Faulí from comment #1)
> Could you please try to reproduce it with the latest version of LibreOffice
> from https://www.libreoffice.org/download/libreoffice-fresh/ ?
> I have set the bug's status to 'NEEDINFO'. Please change it back to
> 'UNCONFIRMED' if the bug is still present in the latest version.

@Xisco

Version: 6.1.0.0.alpha0+
Build ID: 9fc9bf3240f8c62ad7859947ab8a033ac1fe93fa
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group threaded

@Maxim Monastirsky 

Yes. It's Wayland session. Not sure if this issue should be wontfix or notourbug, or can be left open and wait someone to fix it someday. Floating toolbar is still useful in some cases.
Comment 4 Buovjaga 2018-02-12 16:01:33 UTC
Maxim discussed the issue last December: https://lists.freedesktop.org/archives/libreoffice/2017-December/079108.html

I found some clue about how GNOME is solving this:
http://inkscape.13.x6.nabble.com/GDL-broken-under-Wayland-td4981268.html

Ted said:
"I was chatting with Christian Hergert at SCALE last year and he really
wanted us to move over to the code Builder is using. At the time he was
thinking about pulling it out into a library, but I'm not sure if he has."

Well, apparently Christian has done it, but there is nearly no documentation:
https://github.com/chergert/libdazzle/tree/master/src/panel

Only this confirms it:
https://github.com/GNOME/libdazzle/blob/master/doc/dazzle-docs.sgml#L144

"Many content creation applications need some sort of panel system. Dazzle provides flexible panel widgets and docks for this purpose."
Comment 5 blendergeek 2018-02-13 16:37:58 UTC
As this "bug" definitely exists, I am changing to NEW. Whether or not this is intentional, it is not possible to float toolbars under Wayland.
Comment 6 QA Administrators 2019-02-14 03:48:41 UTC Comment hidden (obsolete)
Comment 7 Kai 2020-07-21 21:52:31 UTC
Saw this bug was pinged and tried to reproduce it.

Toolbars do not seem to be draggable at all anymore. Was this feature removed or is it just disabled on Wayland now?
Comment 8 Regina Henschel 2020-07-21 22:21:09 UTC
(In reply to Kai from comment #7)
> Saw this bug was pinged and tried to reproduce it.
> 
> Toolbars do not seem to be draggable at all anymore. Was this feature
> removed or is it just disabled on Wayland now?

What you see is different from this bug. The toolbars have "Lock Toolbar Position" ON as default in LO 7. If you set it to off (context menu), then you can drag the toolbars.
Comment 9 QA Administrators 2022-07-22 03:43:45 UTC
Dear Mark Hung,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug